/*
Copyright (C) 2004-2005 Amour Hassan
                                                                                
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
                                                                                
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
                                                                                
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
                                                                                
*/

#include "goal.h"
#include "engine/engine_game.h"
#include "engine/engine_physics.h"
#include "engine/engine_graphics.h"
#include <rgOpenGL.h>

extern "C" gmThing *spw_phGoal()
{
	return new phGoal();
}

extern "C" int del_phGoal( gmThing *t)
{
	delete t;
	return 0;
}

extern "C" int gm_main( const std::string *key, GameEngine *ge,
	std::string *emsg)
{
	ge->m_thing_manager->add_to_spawn_list( "phGoal", spw_phGoal);

	ge->m_thing_manager->add_to_delete_list( "phGoal", del_phGoal);
	
	return 0;
}

phGoal::phGoal()
{

}

phGoal::~phGoal()
{
}

void phGoal::draw( gmRenderArgs *ra)
{
	gmModelThing::draw( ra);
//	if( !ra) return;
/*	
	gmCamera *c = (ge())->gfx_engine->current_camera();
	if( c) {
	}
*/
}

